source: src/libcfa/Makefile.in @ 0e76cf4f

aaron-thesisarm-ehcleanup-dtorsdeferred_resndemanglerjacob/cs343-translationjenkins-sandboxnew-astnew-ast-unique-exprnew-envno_listpersistent-indexerresolv-newwith_gc
Last change on this file since 0e76cf4f was 0e76cf4f, checked in by Thierry Delisle <tdelisle@…>, 5 years ago

Updated the makefile for concurrency

  • Property mode set to 100644
File size: 22.2 KB
Line 
1# Makefile.in generated by automake 1.11.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6# Foundation, Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18######################## -*- Mode: Makefile-Automake -*- ######################
19###############################################################################
20
21
22
23VPATH = @srcdir@
24pkgdatadir = $(datadir)/@PACKAGE@
25pkgincludedir = $(includedir)/@PACKAGE@
26pkglibdir = $(libdir)/@PACKAGE@
27pkglibexecdir = $(libexecdir)/@PACKAGE@
28am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29install_sh_DATA = $(install_sh) -c -m 644
30install_sh_PROGRAM = $(install_sh) -c
31install_sh_SCRIPT = $(install_sh) -c
32INSTALL_HEADER = $(INSTALL_DATA)
33transform = $(program_transform_name)
34NORMAL_INSTALL = :
35PRE_INSTALL = :
36POST_INSTALL = :
37NORMAL_UNINSTALL = :
38PRE_UNINSTALL = :
39POST_UNINSTALL = :
40subdir = src/libcfa
41DIST_COMMON = $(nobase_include_HEADERS) $(srcdir)/Makefile.am \
42        $(srcdir)/Makefile.in
43ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44am__aclocal_m4_deps = $(top_srcdir)/configure.ac
45am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46        $(ACLOCAL_M4)
47mkinstalldirs = $(install_sh) -d
48CONFIG_HEADER = $(top_builddir)/config.h
49CONFIG_CLEAN_FILES =
50CONFIG_CLEAN_VPATH_FILES =
51am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
52am__vpath_adj = case $$p in \
53    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
54    *) f=$$p;; \
55  esac;
56am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
57am__install_max = 40
58am__nobase_strip_setup = \
59  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
60am__nobase_strip = \
61  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
62am__nobase_list = $(am__nobase_strip_setup); \
63  for p in $$list; do echo "$$p $$p"; done | \
64  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
65  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
66    if (++n[$$2] == $(am__install_max)) \
67      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
68    END { for (dir in files) print dir, files[dir] }'
69am__base_list = \
70  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
71  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
72am__uninstall_files_from_dir = { \
73  test -z "$$files" \
74    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
75    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
76         $(am__cd) "$$dir" && rm -f $$files; }; \
77  }
78am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfalibdir)" \
79        "$(DESTDIR)$(includedir)"
80LIBRARIES = $(lib_LIBRARIES)
81AR = ar
82ARFLAGS = cru
83AM_V_AR = $(am__v_AR_@AM_V@)
84am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
85am__v_AR_0 = @echo "  AR    " $@;
86AM_V_at = $(am__v_at_@AM_V@)
87am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
88am__v_at_0 = @
89libcfa_a_AR = $(AR) $(ARFLAGS)
90libcfa_a_LIBADD =
91am__dirstamp = $(am__leading_dot)dirstamp
92am__objects_1 = limits.$(OBJEXT) stdlib.$(OBJEXT) math.$(OBJEXT) \
93        iostream.$(OBJEXT) fstream.$(OBJEXT) iterator.$(OBJEXT) \
94        rational.$(OBJEXT) containers/vector.$(OBJEXT) \
95        concurrency/threads.$(OBJEXT)
96am_libcfa_a_OBJECTS = libcfa-prelude.$(OBJEXT) $(am__objects_1)
97libcfa_a_OBJECTS = $(am_libcfa_a_OBJECTS)
98DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
99depcomp = $(SHELL) $(top_srcdir)/automake/depcomp
100am__depfiles_maybe = depfiles
101am__mv = mv -f
102COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
103        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
104AM_V_CC = $(am__v_CC_@AM_V@)
105am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
106am__v_CC_0 = @echo "  CC    " $@;
107CCLD = $(CC)
108LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
109AM_V_CCLD = $(am__v_CCLD_@AM_V@)
110am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
111am__v_CCLD_0 = @echo "  CCLD  " $@;
112AM_V_GEN = $(am__v_GEN_@AM_V@)
113am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
114am__v_GEN_0 = @echo "  GEN   " $@;
115SOURCES = $(libcfa_a_SOURCES)
116DIST_SOURCES = $(libcfa_a_SOURCES)
117DATA = $(cfalib_DATA)
118HEADERS = $(nobase_include_HEADERS)
119ETAGS = etags
120CTAGS = ctags
121DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
122ACLOCAL = @ACLOCAL@
123ALLOCA = @ALLOCA@
124AMTAR = @AMTAR@
125AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
126AUTOCONF = @AUTOCONF@
127AUTOHEADER = @AUTOHEADER@
128AUTOMAKE = @AUTOMAKE@
129AWK = @AWK@
130BACKEND_CC = @BACKEND_CC@
131CC = ${abs_top_srcdir}/src/driver/cfa
132CCDEPMODE = @CCDEPMODE@
133CFA_BACKEND_CC = @CFA_BACKEND_CC@
134CFA_BINDIR = @CFA_BINDIR@
135CFA_FLAGS = @CFA_FLAGS@
136CFA_INCDIR = @CFA_INCDIR@
137CFA_LIBDIR = @CFA_LIBDIR@
138CFA_PREFIX = @CFA_PREFIX@
139CFLAGS = -quiet -no-include-stdhdr -g -Wall -Wno-unused-function @CFA_FLAGS@ -B${abs_top_srcdir}/src/driver -XCFA -t # TEMPORARY: does not build with -O2
140CPP = @CPP@
141CPPFLAGS = @CPPFLAGS@
142CXX = @CXX@
143CXXDEPMODE = @CXXDEPMODE@
144CXXFLAGS = @CXXFLAGS@
145CYGPATH_W = @CYGPATH_W@
146DEFS = @DEFS@
147DEPDIR = @DEPDIR@
148ECHO_C = @ECHO_C@
149ECHO_N = @ECHO_N@
150ECHO_T = @ECHO_T@
151EGREP = @EGREP@
152EXEEXT = @EXEEXT@
153GREP = @GREP@
154INSTALL = @INSTALL@
155INSTALL_DATA = @INSTALL_DATA@
156INSTALL_PROGRAM = @INSTALL_PROGRAM@
157INSTALL_SCRIPT = @INSTALL_SCRIPT@
158INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
159LDFLAGS = @LDFLAGS@
160LEX = @LEX@
161LEXLIB = @LEXLIB@
162LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
163LIBOBJS = @LIBOBJS@
164LIBS = @LIBS@
165LTLIBOBJS = @LTLIBOBJS@
166MAINT = @MAINT@
167MAKEINFO = @MAKEINFO@
168MKDIR_P = @MKDIR_P@
169OBJEXT = @OBJEXT@
170PACKAGE = @PACKAGE@
171PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
172PACKAGE_NAME = @PACKAGE_NAME@
173PACKAGE_STRING = @PACKAGE_STRING@
174PACKAGE_TARNAME = @PACKAGE_TARNAME@
175PACKAGE_URL = @PACKAGE_URL@
176PACKAGE_VERSION = @PACKAGE_VERSION@
177PATH_SEPARATOR = @PATH_SEPARATOR@
178RANLIB = @RANLIB@
179SET_MAKE = @SET_MAKE@
180SHELL = @SHELL@
181STRIP = @STRIP@
182VERSION = @VERSION@
183YACC = @YACC@
184YFLAGS = @YFLAGS@
185abs_builddir = @abs_builddir@
186abs_srcdir = @abs_srcdir@
187abs_top_builddir = @abs_top_builddir@
188abs_top_srcdir = @abs_top_srcdir@
189ac_ct_CC = @ac_ct_CC@
190ac_ct_CXX = @ac_ct_CXX@
191am__include = @am__include@
192am__leading_dot = @am__leading_dot@
193am__quote = @am__quote@
194am__tar = @am__tar@
195am__untar = @am__untar@
196bindir = @bindir@
197build_alias = @build_alias@
198builddir = @builddir@
199datadir = @datadir@
200datarootdir = @datarootdir@
201docdir = @docdir@
202dvidir = @dvidir@
203exec_prefix = @exec_prefix@
204host_alias = @host_alias@
205htmldir = @htmldir@
206includedir = @includedir@
207infodir = @infodir@
208install_sh = @install_sh@
209libdir = @libdir@
210libexecdir = @libexecdir@
211localedir = @localedir@
212localstatedir = @localstatedir@
213mandir = @mandir@
214mkdir_p = @mkdir_p@
215oldincludedir = @oldincludedir@
216pdfdir = @pdfdir@
217prefix = @prefix@
218program_transform_name = @program_transform_name@
219psdir = @psdir@
220sbindir = @sbindir@
221sharedstatedir = @sharedstatedir@
222srcdir = @srcdir@
223sysconfdir = @sysconfdir@
224target_alias = @target_alias@
225top_build_prefix = @top_build_prefix@
226top_builddir = @top_builddir@
227top_srcdir = @top_srcdir@
228
229# create object files in directory with source files
230AUTOMAKE_OPTIONS = subdir-objects
231lib_LIBRARIES = libcfa.a
232
233# put into lib for now
234cfalibdir = ${libdir}
235cfalib_DATA = builtins.cf extras.cf prelude.cf
236MAINTAINERCLEANFILES = builtins.cf extras.cf ${addprefix ${libdir}/,${cfalib_DATA}} ${addprefix ${libdir}/,${lib_LIBRARIES}}
237headers = limits stdlib math iostream fstream iterator rational containers/vector concurrency/threads
238runtimehdrs = concurrency
239libobjs = ${headers:=.o}
240libcfa_a_SOURCES = libcfa-prelude.c ${headers:=.c}
241stdhdr = ${shell echo stdhdr/*}
242nobase_include_HEADERS = ${headers} ${stdhdr}
243CLEANFILES = libcfa-prelude.c
244all: all-am
245
246.SUFFIXES:
247.SUFFIXES: .c .o .obj
248$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
249        @for dep in $?; do \
250          case '$(am__configure_deps)' in \
251            *$$dep*) \
252              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
253                && { if test -f $@; then exit 0; else break; fi; }; \
254              exit 1;; \
255          esac; \
256        done; \
257        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/libcfa/Makefile'; \
258        $(am__cd) $(top_srcdir) && \
259          $(AUTOMAKE) --foreign src/libcfa/Makefile
260.PRECIOUS: Makefile
261Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
262        @case '$?' in \
263          *config.status*) \
264            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
265          *) \
266            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
267            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
268        esac;
269
270$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
271        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
272
273$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
274        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
275$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
276        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
277$(am__aclocal_m4_deps):
278install-libLIBRARIES: $(lib_LIBRARIES)
279        @$(NORMAL_INSTALL)
280        test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
281        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
282        list2=; for p in $$list; do \
283          if test -f $$p; then \
284            list2="$$list2 $$p"; \
285          else :; fi; \
286        done; \
287        test -z "$$list2" || { \
288          echo " $(INSTALL_DATA) $$list2 '$(DESTDIR)$(libdir)'"; \
289          $(INSTALL_DATA) $$list2 "$(DESTDIR)$(libdir)" || exit $$?; }
290        @$(POST_INSTALL)
291        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
292        for p in $$list; do \
293          if test -f $$p; then \
294            $(am__strip_dir) \
295            echo " ( cd '$(DESTDIR)$(libdir)' && $(RANLIB) $$f )"; \
296            ( cd "$(DESTDIR)$(libdir)" && $(RANLIB) $$f ) || exit $$?; \
297          else :; fi; \
298        done
299
300uninstall-libLIBRARIES:
301        @$(NORMAL_UNINSTALL)
302        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
303        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
304        dir='$(DESTDIR)$(libdir)'; $(am__uninstall_files_from_dir)
305
306clean-libLIBRARIES:
307        -test -z "$(lib_LIBRARIES)" || rm -f $(lib_LIBRARIES)
308containers/$(am__dirstamp):
309        @$(MKDIR_P) containers
310        @: > containers/$(am__dirstamp)
311containers/$(DEPDIR)/$(am__dirstamp):
312        @$(MKDIR_P) containers/$(DEPDIR)
313        @: > containers/$(DEPDIR)/$(am__dirstamp)
314containers/vector.$(OBJEXT): containers/$(am__dirstamp) \
315        containers/$(DEPDIR)/$(am__dirstamp)
316concurrency/$(am__dirstamp):
317        @$(MKDIR_P) concurrency
318        @: > concurrency/$(am__dirstamp)
319concurrency/$(DEPDIR)/$(am__dirstamp):
320        @$(MKDIR_P) concurrency/$(DEPDIR)
321        @: > concurrency/$(DEPDIR)/$(am__dirstamp)
322concurrency/threads.$(OBJEXT): concurrency/$(am__dirstamp) \
323        concurrency/$(DEPDIR)/$(am__dirstamp)
324libcfa.a: $(libcfa_a_OBJECTS) $(libcfa_a_DEPENDENCIES) $(EXTRA_libcfa_a_DEPENDENCIES)
325        $(AM_V_at)-rm -f libcfa.a
326        $(AM_V_AR)$(libcfa_a_AR) libcfa.a $(libcfa_a_OBJECTS) $(libcfa_a_LIBADD)
327        $(AM_V_at)$(RANLIB) libcfa.a
328
329mostlyclean-compile:
330        -rm -f *.$(OBJEXT)
331        -rm -f concurrency/threads.$(OBJEXT)
332        -rm -f containers/vector.$(OBJEXT)
333
334distclean-compile:
335        -rm -f *.tab.c
336
337@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fstream.Po@am__quote@
338@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iostream.Po@am__quote@
339@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iterator.Po@am__quote@
340@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcfa-prelude.Po@am__quote@
341@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/limits.Po@am__quote@
342@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/math.Po@am__quote@
343@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rational.Po@am__quote@
344@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stdlib.Po@am__quote@
345@AMDEP_TRUE@@am__include@ @am__quote@concurrency/$(DEPDIR)/threads.Po@am__quote@
346@AMDEP_TRUE@@am__include@ @am__quote@containers/$(DEPDIR)/vector.Po@am__quote@
347
348.c.o:
349@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
350@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
351@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
352@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
353@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
354@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
355
356.c.obj:
357@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
358@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
359@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
360@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
361@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
362@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
363install-cfalibDATA: $(cfalib_DATA)
364        @$(NORMAL_INSTALL)
365        test -z "$(cfalibdir)" || $(MKDIR_P) "$(DESTDIR)$(cfalibdir)"
366        @list='$(cfalib_DATA)'; test -n "$(cfalibdir)" || list=; \
367        for p in $$list; do \
368          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
369          echo "$$d$$p"; \
370        done | $(am__base_list) | \
371        while read files; do \
372          echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(cfalibdir)'"; \
373          $(INSTALL_DATA) $$files "$(DESTDIR)$(cfalibdir)" || exit $$?; \
374        done
375
376uninstall-cfalibDATA:
377        @$(NORMAL_UNINSTALL)
378        @list='$(cfalib_DATA)'; test -n "$(cfalibdir)" || list=; \
379        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
380        dir='$(DESTDIR)$(cfalibdir)'; $(am__uninstall_files_from_dir)
381install-nobase_includeHEADERS: $(nobase_include_HEADERS)
382        @$(NORMAL_INSTALL)
383        test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
384        @list='$(nobase_include_HEADERS)'; test -n "$(includedir)" || list=; \
385        $(am__nobase_list) | while read dir files; do \
386          xfiles=; for file in $$files; do \
387            if test -f "$$file"; then xfiles="$$xfiles $$file"; \
388            else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
389          test -z "$$xfiles" || { \
390            test "x$$dir" = x. || { \
391              echo "$(MKDIR_P) '$(DESTDIR)$(includedir)/$$dir'"; \
392              $(MKDIR_P) "$(DESTDIR)$(includedir)/$$dir"; }; \
393            echo " $(INSTALL_HEADER) $$xfiles '$(DESTDIR)$(includedir)/$$dir'"; \
394            $(INSTALL_HEADER) $$xfiles "$(DESTDIR)$(includedir)/$$dir" || exit $$?; }; \
395        done
396
397uninstall-nobase_includeHEADERS:
398        @$(NORMAL_UNINSTALL)
399        @list='$(nobase_include_HEADERS)'; test -n "$(includedir)" || list=; \
400        $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
401        dir='$(DESTDIR)$(includedir)'; $(am__uninstall_files_from_dir)
402
403ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
404        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
405        unique=`for i in $$list; do \
406            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
407          done | \
408          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
409              END { if (nonempty) { for (i in files) print i; }; }'`; \
410        mkid -fID $$unique
411tags: TAGS
412
413TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
414                $(TAGS_FILES) $(LISP)
415        set x; \
416        here=`pwd`; \
417        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
418        unique=`for i in $$list; do \
419            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
420          done | \
421          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
422              END { if (nonempty) { for (i in files) print i; }; }'`; \
423        shift; \
424        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
425          test -n "$$unique" || unique=$$empty_fix; \
426          if test $$# -gt 0; then \
427            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
428              "$$@" $$unique; \
429          else \
430            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
431              $$unique; \
432          fi; \
433        fi
434ctags: CTAGS
435CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
436                $(TAGS_FILES) $(LISP)
437        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
438        unique=`for i in $$list; do \
439            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
440          done | \
441          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
442              END { if (nonempty) { for (i in files) print i; }; }'`; \
443        test -z "$(CTAGS_ARGS)$$unique" \
444          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
445             $$unique
446
447GTAGS:
448        here=`$(am__cd) $(top_builddir) && pwd` \
449          && $(am__cd) $(top_srcdir) \
450          && gtags -i $(GTAGS_ARGS) "$$here"
451
452distclean-tags:
453        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
454
455distdir: $(DISTFILES)
456        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
457        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
458        list='$(DISTFILES)'; \
459          dist_files=`for file in $$list; do echo $$file; done | \
460          sed -e "s|^$$srcdirstrip/||;t" \
461              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
462        case $$dist_files in \
463          */*) $(MKDIR_P) `echo "$$dist_files" | \
464                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
465                           sort -u` ;; \
466        esac; \
467        for file in $$dist_files; do \
468          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
469          if test -d $$d/$$file; then \
470            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
471            if test -d "$(distdir)/$$file"; then \
472              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
473            fi; \
474            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
475              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
476              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
477            fi; \
478            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
479          else \
480            test -f "$(distdir)/$$file" \
481            || cp -p $$d/$$file "$(distdir)/$$file" \
482            || exit 1; \
483          fi; \
484        done
485check-am: all-am
486check: check-am
487all-am: Makefile $(LIBRARIES) $(DATA) $(HEADERS)
488installdirs:
489        for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfalibdir)" "$(DESTDIR)$(includedir)"; do \
490          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
491        done
492install: install-am
493install-exec: install-exec-am
494install-data: install-data-am
495uninstall: uninstall-am
496
497install-am: all-am
498        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
499
500installcheck: installcheck-am
501install-strip:
502        if test -z '$(STRIP)'; then \
503          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
504            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
505              install; \
506        else \
507          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
508            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
509            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
510        fi
511mostlyclean-generic:
512
513clean-generic:
514        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
515
516distclean-generic:
517        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
518        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
519        -rm -f concurrency/$(DEPDIR)/$(am__dirstamp)
520        -rm -f concurrency/$(am__dirstamp)
521        -rm -f containers/$(DEPDIR)/$(am__dirstamp)
522        -rm -f containers/$(am__dirstamp)
523
524maintainer-clean-generic:
525        @echo "This command is intended for maintainers to use"
526        @echo "it deletes files that may require special tools to rebuild."
527        -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
528clean: clean-am
529
530clean-am: clean-generic clean-libLIBRARIES mostlyclean-am
531
532distclean: distclean-am
533        -rm -rf ./$(DEPDIR) concurrency/$(DEPDIR) containers/$(DEPDIR)
534        -rm -f Makefile
535distclean-am: clean-am distclean-compile distclean-generic \
536        distclean-tags
537
538dvi: dvi-am
539
540dvi-am:
541
542html: html-am
543
544html-am:
545
546info: info-am
547
548info-am:
549
550install-data-am: install-cfalibDATA install-nobase_includeHEADERS
551
552install-dvi: install-dvi-am
553
554install-dvi-am:
555
556install-exec-am: install-libLIBRARIES
557
558install-html: install-html-am
559
560install-html-am:
561
562install-info: install-info-am
563
564install-info-am:
565
566install-man:
567
568install-pdf: install-pdf-am
569
570install-pdf-am:
571
572install-ps: install-ps-am
573
574install-ps-am:
575
576installcheck-am:
577
578maintainer-clean: maintainer-clean-am
579        -rm -rf ./$(DEPDIR) concurrency/$(DEPDIR) containers/$(DEPDIR)
580        -rm -f Makefile
581maintainer-clean-am: distclean-am maintainer-clean-generic \
582        maintainer-clean-local
583
584mostlyclean: mostlyclean-am
585
586mostlyclean-am: mostlyclean-compile mostlyclean-generic
587
588pdf: pdf-am
589
590pdf-am:
591
592ps: ps-am
593
594ps-am:
595
596uninstall-am: uninstall-cfalibDATA uninstall-libLIBRARIES \
597        uninstall-nobase_includeHEADERS
598
599.MAKE: install-am install-strip
600
601.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
602        clean-libLIBRARIES ctags distclean distclean-compile \
603        distclean-generic distclean-tags distdir dvi dvi-am html \
604        html-am info info-am install install-am install-cfalibDATA \
605        install-data install-data-am install-dvi install-dvi-am \
606        install-exec install-exec-am install-html install-html-am \
607        install-info install-info-am install-libLIBRARIES install-man \
608        install-nobase_includeHEADERS install-pdf install-pdf-am \
609        install-ps install-ps-am install-strip installcheck \
610        installcheck-am installdirs maintainer-clean \
611        maintainer-clean-generic maintainer-clean-local mostlyclean \
612        mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
613        tags uninstall uninstall-am uninstall-cfalibDATA \
614        uninstall-libLIBRARIES uninstall-nobase_includeHEADERS
615
616
617# create extra forward types/declarations to reduce inclusion of library files
618extras.cf : extras.regx extras.c
619        ${AM_V_GEN}@BACKEND_CC@ @CFA_FLAGS@ -E ${srcdir}/extras.c | grep -f extras.regx > ${srcdir}/extras.cf
620
621# create forward declarations for gcc builtins
622builtins.cf : builtins.c
623        ${AM_V_GEN}if [ -e $< ] ; then \
624                @BACKEND_CC@ -E -P $^ | sed -e "/targetm/s/.*//" -e "/_Decimal/s/.*//" -e "s/void (const char \*)0();//" -e "s/\"//g" -e "s/\(__builtin_\) /\1/" > $@ ; \
625        fi
626
627builtins.c : builtins.def prototypes.awk
628        ${AM_V_GEN}if [ -e $< ] ; then \
629                @BACKEND_CC@ -E prototypes.c | awk -f prototypes.awk > $@ ; \
630        fi
631
632builtins.def :
633
634prototypes.awk :
635
636#--------------------------------------------------
637
638libcfa-prelude.c : ${srcdir}/prelude.cf ${srcdir}/extras.cf ${srcdir}/builtins.cf
639        ${AM_V_GEN}${abs_top_srcdir}/src/driver/cfa-cpp -l ${srcdir}/prelude.cf $@  # use src/cfa-cpp as not in lib until after install
640
641libcfa-prelude.o : libcfa-prelude.c
642         ${AM_V_GEN}@BACKEND_CC@ @CFA_FLAGS@ -c -o $@ $<
643
644# extensionless header files are overridden by -o flag in default makerule => explicitly override default rule to silently do nothing
645% : %.c
646        @true
647
648${libobjs} : ${abs_top_srcdir}/src/driver/cfa-cpp ${cfalib_DATA} # add dependency to cfa-cpp so all libraries are rebuilt with new translator
649
650maintainer-clean-local:
651        -rm -rf ${includedir}/*
652
653# Tell versions [3.59,3.63) of GNU make to not export all variables.
654# Otherwise a system limit (for SysV at least) may be exceeded.
655.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.